package com.brilliance.isc.vo.lg;


import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.vo.model.Gcdgrp;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Gitp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * Amendment
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GetameVo extends BaseTransactionVo {

    //XMLPanel gitapll1的内置block
    private String gitapll1blk;
    //XMLPanel gitapll4的内置block
    private String gitapll4blk;
    //XMLPanel gitrmbl1的内置block
    private String gitrmbl1blk;
    //XMLPanel gitrmbl2的内置block
    private String gitrmbl2blk;
    //XMLPanel gitbenl1的内置block
    private String gitbenl1blk;
    //XMLPanel gitbenl2的内置block
    private String gitbenl2blk;
    //XMLPanel gitapll2的内置block
    private String gitapll2blk;
    //XMLPanel gitbenl4的内置block
    private String gitbenl4blk;
    //XMLPanel gitapll3的内置block
    private String gitapll3blk;
    //XMLPanel gitissl1的内置block
    private String gitissl1blk;

    private Gidgrp gidgrp;

    private Gitp gitp;

    private Gidgrp oldgidgrp;

    private Gcdgrp gcdgrp;

    private GitamepVo gitamep;

    private SwiaddVo swiadd;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        oldgidgrp.reset();
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
        if (gitamep == null) {
            gitamep = new GitamepVo();
        }
        gitamep.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (gitp == null) {
            gitp = new Gitp();
        }
        gitp.reset();
    }
}